Index: cpukit/score/inline/rtems/score/states.inl
===================================================================
--- cpukit/score/inline/rtems/score/states.inl	(revision 6390256611ad02b777017640de6e8a1e9242d861)
+++ cpukit/score/inline/rtems/score/states.inl	(revision cdea6170559416ef3c4b972a6006f1929ca67446)
@@ -2,10 +2,10 @@
  *  @file  rtems/score/states.inl
  *
- *  This file contains the macro implementation of the inlined
+ *  This file contains the static inline implementation of the inlined
  *  routines associated with thread state information.
  */
 
 /*
- *  COPYRIGHT (c) 1989-2004.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -32,6 +32,10 @@
  *  This function sets the given states_to_set into the current_state
  *  passed in.  The result is returned to the user in current_state.
- */
-
+ *
+ *  @param[in] states_to_set is the state bits to set
+ *  @param[in] current_state is the state set to add them to
+ *
+ *  @return This method returns the updated states value.
+ */
 RTEMS_INLINE_ROUTINE States_Control _States_Set (
   States_Control states_to_set,
@@ -45,6 +49,10 @@
  *  This function clears the given states_to_clear into the current_state
  *  passed in.  The result is returned to the user in current_state.
- */
-
+ *
+ *  @param[in] states_to_set is the state bits to clean
+ *  @param[in] current_state is the state set to remove them from
+ *
+ *  @return This method returns the updated states value.
+ */
 RTEMS_INLINE_ROUTINE States_Control _States_Clear (
   States_Control states_to_clear,
@@ -58,6 +66,9 @@
  *  This function returns true if the_states indicates that the
  *  state is READY, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_ready (
   States_Control the_states
@@ -70,6 +81,9 @@
  *  This function returns true if the DORMANT state is the ONLY state
  *  set in the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_only_dormant (
   States_Control the_states
@@ -82,6 +96,9 @@
  *  This function returns true if the DORMANT state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_dormant (
   States_Control the_states
@@ -94,6 +111,9 @@
  *  This function returns true if the SUSPENDED state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_suspended (
   States_Control the_states
@@ -106,6 +126,9 @@
  *  This function returns true if the TRANSIENT state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_transient (
   States_Control the_states
@@ -118,6 +141,9 @@
  *  This function returns true if the DELAYING state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_delaying (
   States_Control the_states
@@ -130,6 +156,9 @@
  *  This function returns true if the WAITING_FOR_BUFFER state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_buffer (
   States_Control the_states
@@ -142,6 +171,9 @@
  *  This function returns true if the WAITING_FOR_SEGMENT state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_segment (
   States_Control the_states
@@ -154,6 +186,9 @@
  *  This function returns true if the WAITING_FOR_MESSAGE state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_message (
   States_Control the_states
@@ -166,6 +201,9 @@
  *  This function returns true if the WAITING_FOR_EVENT state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_event (
   States_Control the_states
@@ -178,6 +216,9 @@
  *  This function returns true if the WAITING_FOR_MUTEX state
  *  is set in the_states, and false otherwise.
- */
- 
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_mutex (
   States_Control the_states
@@ -190,6 +231,9 @@
  *  This function returns true if the WAITING_FOR_SEMAPHORE state
  *  is set in the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_semaphore (
   States_Control the_states
@@ -202,6 +246,9 @@
  *  This function returns true if the WAITING_FOR_TIME state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_time (
   States_Control the_states
@@ -214,6 +261,9 @@
  *  This function returns true if the WAITING_FOR_TIME state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_rpc_reply (
   States_Control the_states
@@ -226,6 +276,9 @@
  *  This function returns true if the WAITING_FOR_PERIOD state is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_for_period (
   States_Control the_states
@@ -235,8 +288,27 @@
 }
 
+/**
+ *  This function returns true if the task's state is set in
+ *  way that allows it to be interrupted by a signal.
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
+ */
+RTEMS_INLINE_ROUTINE bool _States_Is_interruptible_by_signal (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_INTERRUPTIBLE_BY_SIGNAL);
+
+}
 /**
  *  This function returns true if one of the states which indicates
  *  that a task is blocked waiting for a local resource is set in
  *  the_states, and false otherwise.
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the desired state condition is set.
  */
 
@@ -252,6 +324,10 @@
  *  that a task is blocked waiting for a local resource is set in
  *  the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the state indicates that the
+ *          assocated thread is waiting on a thread queue.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_waiting_on_thread_queue (
   States_Control the_states
@@ -264,6 +340,10 @@
  *  This function returns true if one of the states which indicates
  *  that a task is blocked is set in the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *
+ *  @return This method returns true if the state indicates that the
+ *          assocated thread is blocked.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Is_blocked (
   States_Control the_states
@@ -276,6 +356,10 @@
  *  This function returns true if any of the states in the mask
  *  are set in the_states, and false otherwise.
- */
-
+ *
+ *  @param[in] the_states is the task state set to test
+ *  @param[in] mask is the state bits to test for
+ *
+ *  @return This method returns true if the indicates state condition is set.
+ */
 RTEMS_INLINE_ROUTINE bool _States_Are_set (
   States_Control the_states,
